Subject: Re: FW: next build fails

From: Russell King <[email-masked]>
Date: Fri, 17 Sep 2010 11:35:20 +0100

On Thu, Sep 16, 2010 at 03:08:55PM -0700, Daniel Walker wrote:
> On Fri, 2010-09-17 at 08:04 +1000, Stephen Rothwell wrote:
> > Hi Daniel,
> > 
> > On Thu, 16 Sep 2010 14:58:57 -0700 Daniel Walker <[email-masked]> wrote:
> > >
> > > Yeah, exactly .. This is what I did to update my patch .. Do you want to
> > > include this, or should I update my version and my tree.. Ultimately my
> > > version has to go into Russell's tree..
> > 
> > Well, you can't really update that in your tree until after your tree is
> > merged with Russell's, right (since ALT_UP etc are not defined in your
> > tree)?  In that case, I need to do the fix when I merge your tree into
> > linux-next (and so with Russell's tree).
> 
> Right, I see what your saying .. Ok, thanks.

There is another way to handle this - we shouldn't be tinkering with
the aux control register on non-ARM cores (as we don't know what the
bits on such cores do) we could view this as a bug fix, and put it
into -rc.

I'd prefer to do that - so could you send the original patch you posted
to lakml to the patch system please?

-- 
Russell King
 Linux kernel    2.6 ARM Linux   - http://www.arm.linux.org.uk/
 maintainer of: